Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Interface RulePreprocessHook

    public interface RulePreprocessHook

Implementors of this interface can be used as proprocessing passes during intialization of (hybrid) rule systems. They are typically used to generate additional data-dependent rules or additional deductions (normally from comprehension axioms) which are cheaper this way than using the generic rule engines.

Version:
  $Revision: 1.9 $ on $Date: 2008/01/02 12:07:47 $
Author:
  Dave Reynolds

Method Summary
`boolean` | `needsRerun(FBRuleInfGraph infGraph, Triple t)` Validate a triple add to see if it should reinvoke the hook.
`void` | `run(FBRuleInfGraph infGraph, Finder dataFind, Graph inserts)` Invoke the preprocessing hook.

Method Detail

### run

    void run(FBRuleInfGraph infGraph,
             Finder dataFind,
             Graph inserts)

  Invoke the preprocessing hook. This will be called during the preparation time of the hybrid reasoner.

  Parameters:
    `infGraph` - the inference graph which is being prepared, the hook code can use this to add pure deductions or add additional rules (using addRuleDuringPrepare).
    `dataFind` - the finder which packages up the raw data (both schema and data bind) and any cached transitive closures.
    `inserts` - a temporary graph into which the hook should insert all new deductions that should be seen by the rules.

### needsRerun

    boolean needsRerun(FBRuleInfGraph infGraph,
                       Triple t)

  Validate a triple add to see if it should reinvoke the hook. If so then the inference will be restarted at next prepare time. Incremental re-processing is not yet supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP